Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038308
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-04-10 14:032018-04-18 11:02
ReporterLeyreView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revisionfba8ec94d9da
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038308: POS - Problem on "Cancel/ Replace" when the Layaways and Receipts are generated

DescriptionPOS - Problem on "Cancel/ Replace" when the Layaways and Receipts are generated
Steps To Reproduce1. Open a layaway.

2. Cancel/Replace de layaway.

3. Go to "Open Receipt" and look for the previous operation. There must be two receipts (the cancelation and the original layaway) and a layaway. However, there are three layaways.

This worked correctly when there were two menu item in previous versions: Layaways and Receipts.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0038309RR18Q2 closedrqueralta POS - Problem on "Cancel/ Replace" when the Layaways and Receipts are generated 
depends on backport 0038310RR18Q1.2 closedrqueralta POS - Problem on "Cancel/ Replace" when the Layaways and Receipts are generated 

-  Notes
(0103903)
hgbot (developer)
2018-04-16 15:11

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fba8ec94d9da6dd963ff4409aa06d8bc4487d104
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Sat Apr 14 11:23:39 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fba8ec94d9da6dd963ff4409aa06d8bc4487d104 [^]

Fixed issue 38308: POS - Problem on "Cancel/ Replace" when the Layaways and
Receipts are generated

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0103937)
hgbot (developer)
2018-04-17 14:59

Repository: tools/automation/pi-mobile
Changeset: b29142ad24babe4cef908ee62301d0acd36eeb30
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Apr 16 09:13:56 2018 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/b29142ad24babe4cef908ee62301d0acd36eeb30 [^]

Verifies issue 38308: POS - Problem on "Cancel/ Replace" when the Layaways and
Receipts are generated

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/layaway/I38308_CancelReplaceWhenLayawaysAndReceiptsAreGenerated.java
---

- Issue History
Date Modified Username Field Change
2018-04-10 14:03 Leyre New Issue
2018-04-10 14:03 Leyre Assigned To => Retail
2018-04-10 14:03 Leyre Triggers an Emergency Pack => No
2018-04-10 14:51 rqueralta Assigned To Retail => rqueralta
2018-04-10 14:52 rqueralta Status new => scheduled
2018-04-10 15:12 Practics Issue Monitored: Practics
2018-04-10 15:48 marvintm Status scheduled => acknowledged
2018-04-10 15:49 marvintm Status acknowledged => scheduled
2018-04-16 15:11 hgbot Checkin
2018-04-16 15:11 hgbot Note Added: 0103903
2018-04-16 15:11 hgbot Status scheduled => resolved
2018-04-16 15:11 hgbot Resolution open => fixed
2018-04-16 15:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fba8ec94d9da6dd963ff4409aa06d8bc4487d104 [^]
2018-04-17 14:59 hgbot Checkin
2018-04-17 14:59 hgbot Note Added: 0103937
2018-04-18 11:02 marvintm Review Assigned To => marvintm
2018-04-18 11:02 marvintm Status resolved => closed
2018-04-18 11:02 marvintm Fixed in Version => RR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker